cancel
Showing results for 
Search instead for 
Did you mean: 

Problem with jdk above jdk142_17

Morten Jul Jensen
Occasional Visitor

Problem with jdk above jdk142_17

Hi,

I have problems with application running above jdk142_17. jdk142_18, jdk142_19 and jdk142_20 all end up in a state where they are not able to process requests.
They do not accept "kill -3 " and the
J2EE server on top of jdk does not answer
requests.
In the release note I can see that new Sun code is incorporated after jdk142_17 :
http://docs.hp.com/en/SDKRTE142RN/sdk_rnotes_1.4.2.17.html#fixes
http://docs.hp.com/en/SDKRTE142RN/sdk_rnotes_1.4.2.18.html#fixes

The reason why I want to use newer jdk is because I have seen the problems described here :
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6456806
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6409002

These problems seems to be solved in Sun jdk 1.4.2_14

Machine is updated with newest OS packs.
Hope you have ideas on how to solve this problem.

Thanks in advance
Morten


3 REPLIES
Dennis Handly
Acclaimed Contributor

Re: Problem with jdk above jdk142_17

Basically if you have the latest versions and required patches and it still fails, you should contact the Response Center for support.
V. Nyga
Honored Contributor

Re: Problem with jdk above jdk142_17

Hi,

I don't know if it's something similar to my thread:
http://forums12.itrc.hp.com/service/forums/questionanswer.do?threadId=1252481
I had a problem with an application when I changed from an (older) Java1.4 to Java1.5.
At the end the application had to be changed.
Any error messages which points to a library error or another direction?
I would involve the application developer and, as Dennis already said, the support center.

HTH
Volkmar
*** Say 'Thanks' with Kudos ***
Morten Jul Jensen
Occasional Visitor

Re: Problem with jdk above jdk142_17

Hi Dennis and Volkmar,

Thanks for your reply!
I have raised a support case with 9K, and they have raised a support case with HP.

Volkmar, I think my problem is another .. I do not have problems starting the application. The problem arise after several hours :-/. Also my problem is on same jdk version.

I'm curious if anybody out there are running applications on jdk
1.4.2_18/19/20 without problems ..

/Morten